@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/*=======================VARIABLES=========================*/


/* ======------ JAVASCRIPT REVEAL ANIMATIONS -----===== */

/*-----==========-----ABOUT-----==========----- */
.about__container{
    opacity: 0;
    transform: translateY(-140px);
    transition: 1.5s;
}
.about__container.animate{ 
    opacity: 1;
    transform: translateY(0);
}
.about__data{
    opacity: 0;
    transform: translateY(140px);
    transition: .8s;
}
.about__data.animate{
    opacity: 1;
    transform: translateY(0);
}
/*-----==========-----ABOUT-----==========----- */

/*-----==========-----TECH SKILLS-----==========----- */
.skills__container{
    opacity: 0;
    transform: translateY(-140px);
    transition: 1.15s;
}
.skills__container.animate{
    opacity: 1;
    transform: translateY(0);
}
/*-----==========-----TECH SKILLS-----==========----- */


/*-----==========-----BLOGS-----==========----- */
.blog-container{
    opacity: 0;
    transform: translateY(-140px);
    transition: 1.5s;
}
.blog-container.animate{
    opacity: 1;
    transform: translateY(0);
}
/*-----==========-----BLOGS-----==========----- */

/* ======------ JAVASCRIPT REVEAL ANIMATIONS -----===== */

:root {
   --header-height: 3rem;

   /* ==========COLORS========== */
   --hue-color: 260;

   /* ========= HSL COLORS========== */
   --first-color: hsl(var(--hue-color), 69%, 61%);
   --first-color-second: hsl(var(--hue-color), 69%, 61%);;
   --first-color-alt: hsl(var(--hue-color), 57%, 53%);;
   --first-color-lighter: hsl(var(--hue-color), 92%, 85%);;
   --title-color: hsl(var(--hue-color), 8%, 15%);;
   --text-color: hsl(var(--hue-color), 8%, 45%);;
   --text-color-light: hsl(var(--hue-color), 8%, 65%); ;
   --input-color: hsl(var(--hue-color), 70%, 96%);;
   --body-color: hsl(var(--hue-color), 60%, 99%);;
   --container-color: #fff ;
   --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
   --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

      /* ==========FONTS=========== */
   --body-font: 'Poppins', sans-serif;

   /* SIZES */
   --big-font-size: 2rem;
   --h1-font-size: 1.5rem;
   --h2-font-size: 1.25rem;
   --h3-font-size: 1.125rem;
   --normal-font-size: .938rem;
   --small-font-size: .813rem;
   --smaller-font-size: .75rem;

   /* =====FONT WEIGHT====== */
   --font-medium: 500;
   --font-semi-bold: 600;

   /* =====MARGINS FOR BOTTOMS====== */
   --mb-0-25: .25rem;
   --mb-0-5: .5rem;
   --mb-0-75: .75rem;
   --mb-1: 1rem;
   --mb-1-5: 1.5rem;
   --mb-2: 2rem;
   --mb-2-5: 2.5rem;
   --mb-3: 3rem;

   /* =====Z-INDEX===== */
   --z-tooltip: 10;
   --z-fixed: 100;
   --z-modal: 1000;
}
   /* FONTS PARA SA MGA LARGE NA DEVICES TO */
@media screen and (min-width: 968px){
    :root {
        --big-font-size: 3rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: .875rem;
        --smaller-font-size: .813rem;
    }
 }

 /*=====================VARIABLES PARA SA  DARK MODE==================== */
body.dark-theme{
    --first-color-second: hsl(var(--hue-color), 30%, 8%);;
    --title-color: hsl(var(--hue-color), 8%, 95%);;
    --text-color: hsl(var(--hue-color), 8%, 75%);;
    --input-color: hsl(var(--hue-color), 29%, 16%);;
    --body-color: hsl(var(--hue-color), 28%, 12%);;
    --container-color: hsl(var(--hue-color), 29%, 16%);
    /* SCROLL BAR COLORS */
    --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
    --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

 /*=====================DARK MODE COMPONENTS ==================== */
.nav__btns{
    display: flex;
    align-items: center;
}

.change-theme{
    font-size: 1.25rem;
    color: var(--title-color);
    margin-right: var(--mb-1);
    cursor: pointer;
}

.change-theme:hover{
    color: var(--first-color);
}

/* ========================================DEFAULT SETTINGS ====================================== */
*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
html{
    scroll-behavior: smooth;
}
body{
    margin: 0 0 var(--header-height) 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);
}
h1,h2,h3,h4{
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
img{
    max-width: 100%;
    height: auto;
}

/* ===================REUSABLE CSS==================== */

.section{
    padding: 2rem 0 4rem;

}
.section__title{
    font-size: 40px;
}
.section__subtitle{
    display: block;
    font-size: var(--small-font-size);
    margin-bottom: var(--mb-3);
}
.section__title, .section__subtitle{
    text-align: center;
}

/* =======================LAY OUT======================== */
.container{
    max-width: 768px;
    margin-left: var(--mb-1-5);
    margin-right: var(--mb-1-5);
}
.grid{
    display: grid;
    gap: 1.5rem;
}
.header{
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: var(--z-fixed);
    background-color: var(--body-color);
}
/* ============== SATRT NBG  NAVIGATION BAR =============== */
.nav{
    max-width: 968px;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav__logo,
.nav__toggle{
    color: var(--title-color);
    font-weight: var(--font-medium);
}
.nav__logo:hover{
    color: var(--first-color);
}

.nav__toggle{
    font-size: 1.1rem;
    cursor: pointer;
}

.nav__toggle:hover{
    color: var(--first-color);
}

/* PARA SA CP */
@media screen and (max-width: 767px) {
    .nav__menu{
        position: fixed;
        bottom: -100%;
        left: 0;
        width: 100%;
        background-color: var(--body-color);
        padding: 2rem 1.5rem 4rem;
        box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
        border-radius: 1.5rem 1.5rem 0 0;
        transition: .3s;
    }
}

.nav__list{
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.nav__link{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
}

.nav__link:hover{
    color: var(--first-color);
}

.nav__icon{
    font-size: 1.2rem;
}

/* SA JS TO PANG CLOSE AT OPEN NG MENU */
.nav__close{
    position: absolute;
    right: 1.3rem;
    bottom: .5rem;
    font-size: 1.5rem;
    cursor: pointer;
    color: var(--first-color);
}

.nav__close:hover{
    color: var(--first-color-alt);
}

.show-menu{
    bottom: 0;
}

.active-link{
    color: var(--first-color);
}

.scroll-header{
    box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
}
/* END TO NG PARA SA JS NA PANG CLOSE AT OPEN NG MENU */

/* ============== END OF NAVIGATION BAR =============== */


/* ****** HOME SECTION ****** */

.home__container{
    gap: 1rem;
}

.home__content{
    grid-template-columns: .5fr 3fr;
    padding-top: 3.5rem;
    align-items: center;
}

.home__social{
    display: grid;
    grid-template-columns: max-content;
    row-gap: 1rem;
}

.home__social-icon{
    font-size: 1.25rem;
    color: var(--first-color);
}

.home__social-icon:hover{
    color: var(--first-color-alt);
}

/* SOMETHING IS WRONG HERE MAMAYA YAN */
.home__img{
    width: 250px;
}
.home__blob-img{
    width: 100px;
}
/* SOMETHING IS WRONG HERE MAMAYA YAN */

.home__data{
    grid-column: 1/3;
}

.home__title{
    font-size: var(--big-font-size);
}

.home__subtitle{
    font-size: var(--h3-font-size);
    color: var(--text-color);
    font-weight: var(--font-medium);
    margin-bottom: var(--mb-0-75);
}

.home__description{
    margin-bottom: var(--mb-2);
}

.home__scroll{
    /* DISPLAY NONE MUNA */
    display: none;
}

.home__scroll-button{
    color: var(--first-color);
    transition: .3s;
}

.home__scroll-button:hover{
    transform: translateY(.25rem);
}

.home__scroll-mouse{
    font-size: 2rem;
}

.home__scroll-name{
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
    margin-right: var(--mb-0-25);
}
.home__scroll-arrow{
    font-size: 1.25rem;
}

/* =========BUTTONS========= */
.button{
    display: inline-block;
    background-color: var(--first-color);
    color: #fff;
    padding: 1rem;
    border-radius: .5rem;
    font-weight: var(--font-medium);
}
.button:hover{
    background-color: var(--first-color-alt);
}

.button__icon{
    font-size: 1.25rem;
    margin-left: var(--mb-0-5);
    transition: .3s;
}

.button--flex{
    display: inline-flex;
    align-items: center;
}

.button--small{
    padding: .75rem 1rem;
}

.button--white{
    background-color: #fff;
    color: var(--first-color);
}
.button--white:hover{
    background-color: #fff;
}

.button--link{
    padding: 0;
    background-color: transparent;
    color: var(--first-color);
}
.button--link:hover{
    background-color: transparent;
    color: var(--first-color-alt);
}
/* ******  END OF HOME SECTION ****** */


/* ****** AVOUT SECTION ****** */

.about__img{
    width: 400px;
    border-radius: .5rem;
    justify-self: center;
    align-self: center;
}

.about__description{
    text-align: center;
    margin-bottom: var(--mb-2-5);
}
.about__info{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: var(--mb-2-5);
}

.about__info-title{
    font-size: var(--h2-font-size);
    font-weight: var(--font-semi-bold);
    color: var(--title-color);
}

.about__info-name{
    font-size: var(--smaller-font-size);
}

.about__info-title, .about__info-name{
    display: block;
    text-align: center;
}

.about__buttons{
    display: flex;
    justify-content: center;
}
/* ****** ABOUT SECTION ****** */


/* ****** QUALIFICATION KO SYEMRE  ****** */
.qualification__tabs{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: var(--mb-2);
}

.qualification__button{
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
    cursor: pointer;
}

.qualification__button:hover{
    color: var(--first-color);
}

.qualification__icon{
    font-size: 1.8rem;
    margin-bottom: var(--mb-0-25);
}
.qualification__data{
    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    column-gap: 1.5rem;
}
.qualification__data a{
    color: #8f8f8f;
}

.qualification__title{
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    padding-bottom: 5px;
}
.qualification__subtitle{
    display: inline-block;
    font-size: var(--small-font-size);
    margin-bottom: var(--mb-1);
}

.qualification__calendar{
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
}

.qualification__rounder{
    display: inline-block;
    width: 13px;
    height: 13px;
    background-color: var(--first-color);
    border-radius: 50%;
}

.qualification__line{
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--first-color);
    transform: translate(6px, -7px);
}

.qualification [data-content]{
    display: none;
}

.qualification__active[data-content]{
    display: block;
}

.qualification__button.qualification__active{
    color: var(--first-color );
}
/* ****** END OF QUALIFICATION SECTION ****** */

/* ****** PORTFOLIO SECTION ****** */
.portfolio__container{
    overflow: initial;
}
.portfolio__content{
    padding: 0 1.5rem;
}
.portfolio__img{
    width: 265px;
    border-radius: .5rem;
    justify-self: center;
}
.portfolio__title{
    font-size: var(--h3-font-size);
    margin-bottom: var(--mb-0-5);
}
.portfolio__description{
    margin-bottom: var(--mb-0-75);
}

.portfolio__button:hover .button__icon{
    transform: translateX(.25rem);
}

/* ITO AY PARA SA SWIPER JJ */
.swiper-button-prev::after, .swiper-button-next::after{
    content:'';
}
.swiper-portfolio-icon{
    font-size: 2rem;
    color: var(--first-color);
}

/* ARROW  */
.swiper-button-prev{
    left: -.5rem;
}
.swiper-button-next{
    right: -.5rem;
}

.swiper-container-horizontal > .swiper-pagination-bullet{
    bottom: -2.5rem;
}

.swiper-pagination-bullet-active{
    background-color: var(--first-color);
}

.swiper-button-prev, 
.swiper-button-next, 
.swiper-pagination-bullet{
    outline: none;
}
/* END NG ITO AY PARA SA SWIPER JJ */


/* ******CONTSCT SECTIOn ****** */

.contact__container{
    row-gap: 3rem;
    padding-bottom: 250px;
}

.contact__information{
    display: flex;
    margin-bottom: var(--mb-2);
}

.contact__icon{
    font-size: 2rem;
    color: var(--first-color);
    margin-right: var(--mb-0-75);
}

.contact__title{
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
}

.contact__subtitle{
    font-size: var(--small-font-size);
    color: var(--text-color-light);
}

.contact__content{
    background-color: var(--input-color);
    border-radius: .5rem;
    padding: .75rem 1rem .25rem;
}
/* ****** END OF CONTSCT SECTIOn ****** */

/* ******FOOTER SECTION ****** */
.footer{
    padding-top: 2rem;
}

.footer__container{
    row-gap: 3.5rem;
}

.footer__bg{
    background-color: var(--first-color);
    padding: 2rem 0 3rem;
}

.footer__title{
    font-size: var(--h1-font-size);
    margin-bottom: var(--mb-0-25);
}

.footer__subtitle{
    font-size: var(--small-font-size);
}

.footer__links{
    display: flex;
    flex-direction: column;
    row-gap: 1.5rem;
}

.footer__link:hover{
    color: var(--first-color-lighter);
}

.footer__social{
    font-size: 1.2rem;
    margin-right: var(--mb-1-5);
}

.footer__social:hover{
    font-size: var(--small-font-size);
}

.footer__copy{
    font-size: var(--smaller-font-size);
    text-align: center;
    color: var(--text-color-light);
    margin-top: var(--mb-3);
}

.footer__title,
.footer__subtitle,
.footer__link,
.footer__social{
    color: #fff;
}
/* ****** END OF FOOTER SECTION ****** */


/* ******SCROOL UP SECITON****** */
.scrollup{
    position: fixed;
    right: 1rem;
    bottom: -20%;
    background-color: var(--first-color);
    opacity: 0.8;
    padding: 0 .3rem;
    border-radius: .4rem;
    z-index: var(--z-tooltip);
    transition: .4s;
}

.scrollup:hover{
    background-color: var(--first-color);
}

.scrollup__icon{
    font-size: 1.5rem;
    color: #fff;
}

.show-scroll{
    bottom: 5rem;
}

/* SCROLL BARRRRR */
::-webkit-scrollbar{
    width: .60rem;
    background-color: var(--scroll-bar-color);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
    background-color: var(--scroll-thumb-color);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover{
    background-color: var(--text-color-light);
}
/* ******END OF SCROOL UP SECITON****** */


/* ---==========--- THE EXCING PART PERO MAHIRAP ---==========--- */

/* FOR SMALL DEVICES  */
@media screen and (max-width: 350px) {
    .container{
        margin-left: var(--mb-1);
        margin-right: var(--mb-1);
    }

    /* Para sa navbar */
    .nav__menu{
        padding: 2rem .25rem 4rem;
    }

    .nav__list{
        row-gap: 0;
    }

    /* Para sa home */
    .home__content{
        grid-template-columns: .25fr 3fr;
    }

    .home__blob-img{
        width: 180px;
    }

    .qualification__data{
        gap: .5rem;
    }
}

/* =============================================== */

@media screen and (min-width: 568px) {
    
    /* Para sa home */
    .home__content{
        grid-template-columns: max-content 1fr 1fr;
    }

    .home__data{
        grid-column: initial;
    }

    .home__img{
        order: 1;
        justify-self: center;
    }

    /* Content grid responsive */
    .about__container,
    .portfolio__content,
    .contact__container,
    .footer__container{
        grid-template-columns: repeat(2, 1fr);
    }

    .qualification__sections{
        display: grid;
        grid-template-columns: 0.9fr;
        justify-content: center;
    }

    .section__title,
    .section__subtitle{
        padding-right: 10px;
    }

}

/* =============================================== */

@media screen and (min-width: 768px) {
    .container{
        margin-left: auto;
        margin-right: auto;
    }

    body{
        margin: 0;
    }

    .section{
        padding: 6rem 0 2rem;
    }

    .section__subtitle{
        padding-bottom: 4rem;
    }

    .header{
        top: 0;
        bottom: initial;
    }

    .header,
    .main,
    .footer__container{
        padding: 0 1rem;
    }

    .nav{
        height: calc(var(--header-height) + 1.5rem);
        column-gap: 1rem;
    }

    .nav__icon,
    .nav__close,
    .nav__toggle{
        display: none;
    }

    .nav__list{
        display: flex;
        column-gap: 2rem;
    }

    .nav__menu{
        margin-left: auto;
    }

    .change-theme{
        margin: 0;
    }

    /* Para sa home */
    .home__container{
        row-gap: 5rem;
    }

    .home__content{
        padding: 5.5rem;
        column-gap: 2rem;
    }

    .home__scroll{
        display: block;
    }

    .home__scroll-button{
        margin-left: 3rem;
    }

    /* Para sa about */
    .about__container{
        column-gap: 5rem;
    }

    .about__description{
        text-align: initial;
    }

    .about__info{
        justify-content: space-between;
    }

    .about__buttons{
        justify-content: initial;
    }

    /* Para sa qualification */
    .qualification__tabs{
        justify-content: center;
    }
    
    .qualification__button{
        margin: 0 var(--mb-1);
    }

    .qualification__sections{
        grid-template-columns: 1fr;
    }

    .portfolio__content{
        align-items: center;
    }

    /* Para sa footer */
    .footer__container{
        grid-template-columns: repeat(3, 1fr);
    }

    .footer__bg{
        padding: 3rem 0 3.5rem;
    }

    .footer__links{
        flex-direction: row;
        column-gap: 2rem;
    }

    .footer__socials{
        justify-self: end;
    }

    .footer__copy{
        margin-top: 4.5rem;
    }

    .section__title,
    .section__subtitle{
        padding-right: 10px;
    }
    

}




/* PANG DESKTOP */

@media screen and (min-width: 1024px){

    .header,
    .main,
    .footer__container{
        padding: 0;
    }

    .home__social{
        transform: translateX(-6rem);
    }

    .portfolio__content{
        row-gap: 5rem;
    }

    .swiper-portfolio-icon{
        font-size: 3.5rem;
    }

    .swiper-button-prev{
        left: -3.5rem;
    }

    .swiper-button-next{
        right: -3.5rem;
    }

    .swiper-container-horizontal > .swiper-pagination-bullets{
        bottom: -4.5rem;
    }

    .contact__form{
        width: 460px;
    }

    .contact__inputs{
        grid-template-columns: repeat(2, 1fr);
    }

    .section__title,
    .section__subtitle{
        padding-right: 10px;
    }


}


/*----------========== START OF BLOGS // New added na component ==========----------*/
.blog{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.blog-container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0px;
    flex-wrap: wrap;
}
.blog-box{
    width: 350px;
    background-color: #fff;
    margin: 25px;
    margin-bottom: 50px;
    transition: transform 1s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .15);
}
.blog-box:hover{
    transform: scale(1.1);
}
.blog-img{
    width: 100%;
    height: auto;
}
.blog-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-top: 1px solid #ffffff;
}
.blog-text{
    padding: 30px;
    display: flex;
    flex-direction: column;
}
.blog-text span{
    color: #000000;
    font-size: 0.9rem;
}
.blog-text .blog-title{
    font-size: 1.3rem;
    font-weight: 500;
    color: #373535;
}
.blog-text .blog-title:hover{
    color: rgb(0, 0, 0);
    transition: all ease 0.3s;
}
.blog-text p{
    color: #9b9b9b;
    font-size: 0.9rem;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 20px 0px;
}
.blog-text a{
    color: #0F0F0F;
}
.blog-text a:hover{
    color: rgb(136, 130, 130);
    transition: all ease 0.3s;
}
/* BLOG RESPONSIVE */
@media (max-width: 1250px){
    .blog-box{
        width: 300px;
    }
}
@media (max-width: 1110px){
    .blog-box{
        width: 70%;
    }
}
@media (max-width: 550px){
    .blog-box{
        margin: 20px 10px;
        width: 100%;
    }
    .blog{
        padding: 20px;
    }
}

/*----------========== END OF BLOGS // New added na component ==========----------*/



/*----------==================== FILTERED PROJECTS KO =====================----------*/
.portfolio{
    width: 100%;
    padding: 30px 8%;
  }
 
  .button-group{
    text-align: center;
    margin-bottom: 40px;
  }
  .button-group .button{
    display: inline-block;
    padding: 10px 15px;
    margin: 5px;
    background-color: #c8d1d8;
    color: rgb(127, 117, 117);
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 1px;
    transition: all 0.4s;
    border: none;
    border-radius: 5px;
    outline: none;
    cursor: pointer;
  }
  .button-group .button.active{
    background-color: var(--first-color);
    color: #fff;
  }
  .button-group .button:hover{
    background-color: var(--first-color);
    color: #fff;
  }
  div.gallery{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
  }
  div.gallery .item{
    position: relative;
    margin: 4px;
    width: calc(33.33% - 8px);
    overflow: hidden;
    cursor: pointer;
  }
  .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: 0.3s;
  }
  div.gallery .item:hover img{
    transform: scale(1.15);
  }
  .item .overlay{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 15px;
    overflow: hidden;
    transition: opacity 0.2s ease-in-out;
    opacity: 0;
  }
  .item:hover .overlay{
    opacity: 1;
  }
  .item .overlay a{
    display: inline-block;
    padding: 8px 16px;
    border: 1px solid var(--first-color);
    color: #fff;
    background-color: var(--first-color);
    border-radius: 10px;
    text-decoration: none;
    font-size: 14px;
    transition: 0.3s;
  }
  
  .item .overlay a:hover{
    background-color: var(--first-color);
    color: #fff;
  }
  

  @media(max-width: 1024px){
    div.gallery .item{
      width: calc(50% - 8px);
    }
  }
  
  @media(max-width: 600px){
    div.gallery .item{
      width: 100%;
      margin: 4px 0px;
    }
  }
  /*----------====================FILTERED PROJECTS KO =====================----------*/

  /* LAST ADDED COMPOENETNS */
  .imgs{
    justify-content: center;
    display: flex;
    gap: 10px;
  }
  .imgs img{
    max-width: 45px;
    height: 40px;
  }
 /* LAST ADDED COMPOENETNS */


 /* Tooltip */
  .tooltip {
    position: relative;
    display: inline-block;
  }
  
  .tooltip .tooltiptext {
    visibility: hidden;
    width: 140px;
    background-color: var(--first-color);
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;
    opacity: 0;
    transition: opacity 0.5s ease; 
    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    top: -40px;
    left: -50px;
  }
  
  .tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
  }
  

  /* <!-- Para sa loading Screen --> */
  .loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #333333;
    transition: opacity 3s, visibility 3s;
  }
  
  .loader--hidden {
    opacity: 0;
    visibility: hidden;
  }
  
  .loader::after {
    content: "";
    width: 20px;
    height: 20px;
    border: 7.5px solid #6a00e3;
    border-top-color: var(--first-color);
    animation: loading 2.5s ease infinite;
  }
  
  @keyframes loading {
    from {
      transform: rotate(0turn);
    }
    to {
      transform: rotate(1turn);
    }
  }
  /* <!-- Para sa loading Screen --> */